| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bampweigh.cpp File Reference

Program to filter images. More...

`#include "rwimg.h"`
`#include "rwFSC_XML.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
Bplot * | read_rps (Bstring &filename)
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Program to filter images.

Author
  Bernard Heymann

Date
  Created: 20040714
  Modified: 20191125

Definition in file bampweigh.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 106 of file bampweigh.cpp.

## ◆ read_rps()

Bplot* read_rps | ( | Bstring & | filename | ) |

Definition at line 49 of file bampweigh.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bampweigh [options] input.img output.img",
"-----------------------------------------------",
"Weighs the amplitudes of a map using a reference map's amplitudes.",
" ",
"Actions:",
"-invert Invert density in the image.",
"-rescale -0.1,5.2 Rescale data to average and standard deviation after filtering.",
"-dose 2.5 Weigh the amplitudes by accumulated dose using the given dose/frame (e/Å2).",
"-normalize 2 Normalize amplitudes (1:amplitude; 2:power).",
"-root Weigh by the square root of the amplitudes.",
"-square Weigh by the squares of the amplitudes.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-datatype u Force writing of a new data type.",
"-sampling 1.5,1.5,1.5 Sampling (A/pixel; default from input file; a single value can be given).",
"-resolution 15 Resolution limit (angstrom)",
" ",
"Input:",
"-RPS file.txt Radial power spectrum.",
"-FSC file.xml FSC curve.",
"-Reference file.map Reference map.",
"-Mask mask.tif Mask file to exclude regions in reciprocal space.",
"-mask mask.mrc Real space mask to apply before weighing.",
" ",
NULL
}

Definition at line 19 of file bampweigh.cpp.

## ◆ verbose

int verbose